package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformPqAccountRel;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformPqAccountRelExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformPqAccountRelMapper {
    long countByExample(ContentPlatformPqAccountRelExample example);

    int deleteByExample(ContentPlatformPqAccountRelExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformPqAccountRel record);

    int insertSelective(ContentPlatformPqAccountRel record);

    List<ContentPlatformPqAccountRel> selectByExample(ContentPlatformPqAccountRelExample example);

    ContentPlatformPqAccountRel selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformPqAccountRel record, @Param("example") ContentPlatformPqAccountRelExample example);

    int updateByExample(@Param("record") ContentPlatformPqAccountRel record, @Param("example") ContentPlatformPqAccountRelExample example);

    int updateByPrimaryKeySelective(ContentPlatformPqAccountRel record);

    int updateByPrimaryKey(ContentPlatformPqAccountRel record);
}